# Uses of Class
org.eclipse.birt.report.model.api.FilterConditionHandle

Packages that use FilterConditionHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of FilterConditionHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return types with arguments of type FilterConditionHandle
Modifier and Type
Method
Description
`Iterator<FilterConditionHandle>`
GroupHandle.`filtersIterator()`
Returns an iterator for the filter list defined on the group.
`Iterator<FilterConditionHandle>`
ListingHandle.`filtersIterator()`
Returns the iterator for filter list defined on a table or list.
`Iterator<FilterConditionHandle>`
MemberValueHandle.`filtersIterator()`
Returns the iterator for filter list defined on this member value.
`List<FilterConditionHandle>`
TableHandle.`getFilters(int colIndex)`
Returns a list containing filters applied to the column at position of colIndex.
Methods in org.eclipse.birt.report.model.api with parameters of type FilterConditionHandle
Modifier and Type
Method
Description
`static boolean`
ModuleUtil.`isListFilterValue(FilterConditionHandle filter)`
Determine if the value1 of this filter condition is a list.

## Uses of FilterConditionHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type FilterConditionHandle
Modifier and Type
Method
Description
`IFilterCondition`
SimpleElementFactory.`createFilterCondition(FilterConditionHandle handle)`

## Uses of FilterConditionHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type FilterConditionHandle
Modifier and Type
Method
Description
`IFilterCondition`
ISimpleElementFactory.`createFilterCondition(FilterConditionHandle handle)`
Creates the IFilterCondition instance.